controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Peliculas;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
        $salida=Peliculas::find()->select(['portada'])->where(["pelicula_de_la_semana" => 1])->one();
        return $this->render("index",['datos'=> $salida]);
    }
    
    public function actionVer($portada)
    {
        $modelo= Peliculas::find()->where(["portada" => $portada])->one();
        return $this->render("ver",["modelo"=> $modelo]);
    }
    
    public function actionListado()
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Peliculas::find()]);
        return $this->render("listado",["dataProvider" => $dataProvider]);
    }
    
    public function actionCategoria($categoria)
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Peliculas::find()->where(['categoria'=>$categoria])]);
        return $this->render("categoria_gv",["dataProvider" => $dataProvider]);
    }
    
    public function actionCategorias()
    {
        $resultado=Yii::$app->db->createCommand("select distinct categoria from peliculas")->queryAll();
        return $this->render("categorias",["resultado" => $resultado]);
    }
    
    public function actionCategoria2($categoria)
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Peliculas::find()->where(['categoria'=>$categoria])]);
        return $this->render("categoria_lv",["dataProvider" => $dataProvider]);
    }
    
    public function actionDestacadas()
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Peliculas::find()->where(['destacada'=>1])]);
        return $this->render("categoria_lv",["dataProvider" => $dataProvider]);
    }
    
}

views/site/_categoria.php
<?php
use yii\helpers\Html;
?>

<table>
    <tr><td rowspan="4"><?= Html::img('@web/img/' . $model->portada,['class'=>'img-fluid', 'style'=>'width:300px'])?></td><td><?= "Titulo: " . $model->titulo ?></td></tr>
    <tr><td><?= "Duración: " . $model->duracion ?></td></tr>
    <tr><td><?= "Director: " . $model->director ?></td></tr>
    <tr><td><?= "Categoria: " . $model->categoria ?></td></tr>
    <tr><td><?= Html::a("Leer mas...", ['site/ver', 'portada' => $model->portada], ['class' => 'profile-link']) . "<br>";  ?></td></tr>
    
</table>

views/site/categoria_gv.php
<?php

use yii\grid\GridView;
use yii\bootstrap4\Html;

echo GridView::widget([
    'dataProvider' => $dataProvider,
    'columns' => [
        'id',
        'titulo',
        [
            'label'=>'Cartel',
            'format'=>'raw',
            'value'=>function($data){
                $url='@web/img/' . $data->portada;
                return Html::img($url,['class'=>'img-fluid', 'style'=>'width:300px']);
            }
        ],
        'fecha_estreno',
        
    ]]);

?>

views/site/categoria_lv.php
<?php

use yii\widgets\ListView;

echo ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_categoria',
    ]);

?>

views/site/categorias.php
<?php
use yii\bootstrap4\Html;

foreach($resultado as $array)
{
    echo Html::a($array['categoria'], ['site/categoria2', 'categoria' => $array['categoria']], ['class' => 'profile-link']) . "<br>"; 
}

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Peliculas';
use yii\bootstrap4\Html;

?>

<h1>Las mejores películas</h1>

<p>Aplicación en la que encontraras información sobre las mejores películas<p>

<h2>Pelicula de la semana</h2>    
<?php

    $pelicula_de_la_semana=Html::img('@web/img/' . $datos->portada,['width' => 200,'height' => 300]);
    echo Html::a($pelicula_de_la_semana, ['site/ver', 'portada' => $datos->portada], ['class' => 'profile-link']); 
            
?>
   

views/site/listado.php
<?php

use yii\grid\GridView;
use yii\bootstrap4\Html;

echo GridView::widget([
    'dataProvider' => $dataProvider,
    'columns' => [
        'id',
        'titulo',
        [
            'label'=>'Categoria',
            'format'=>'raw',
            'value' => function($data){
                $url = ['site/categoria','categoria'=>$data->categoria];
                return Html::a($data->categoria, $url, ['class' => 'btn btn-primary']); 
            }
        ],
        [
            'label'=>'Cartel',
            'format'=>'raw',
            'value'=>function($data){
                $url='@web/img/' . $data->portada;
                return Html::img($url,['class'=>'img-fluid', 'style'=>'width:300px']);
            }
        ],
        'fecha_estreno',
        
    ]]);

?>

views/site/ver.php
<?php

use yii\widgets\DetailView;
use yii\bootstrap4\Html;

echo DetailView::widget([
    'model' => $modelo,
    'attributes' => [
        'id',
        'titulo',
        'duracion',
        'fecha_estreno',
        'categoria',
        [
            'label'=>'Portada',
            'format'=>'raw',
            'value'=>function($data){
                $url='@web/img/' . $data->portada;
                return Html::img($url,['class'=>'img-fluid', 'style'=>'height:100px']);
            }
        ],
        'director',
        'destacada',
            ]
]);